%define module_name	kvm
%define module_release	alt2
%define module_version	2.6.30

%define kversion	2.6.30
%define krelease	alt15
%define flavour		std-def

%define module_dir /lib/modules/%kversion-%flavour-%krelease/kernel/arch/x86/%module_name

Summary:	Linux KVM (Kernel Virtual Machine) module
Name:		kernel-modules-%module_name-%flavour
Version:	%module_version
Release:	%module_release.132638.15
License:	GPL2
Group:		System/Kernel and hardware
Serial:1

Packager: Kernel Maintainer Team <kernel@packages.altlinux.org>

ExclusiveOS: Linux
Url: http://%module_name.qumranet.com/%{module_name}wiki
Patch1: kvm-kernel-compat.patch
Patch2: kernel-source-kvm-2.6.30-build.patch

BuildRequires(pre): rpm-build-kernel
BuildRequires: kernel-headers-modules-%flavour = %kversion-%krelease
BuildRequires: kernel-source-%module_name = %module_version

Provides: kernel-modules-%module_name-%kversion-%flavour-%krelease = %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease < %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease > %version-%release

PreReq: coreutils
PreReq: kernel-image-%flavour = %kversion-%krelease
Requires(postun): kernel-image-%flavour = %kversion-%krelease

%description
Linux kernel module for Kernel Virtual Machine virtualization
environment.

%prep
rm -rf kernel-source-%module_name-%module_version
tar -xf %_usrsrc/kernel/sources/kernel-source-%module_name-%module_version.tar.bz2
%setup -D -T -n kernel-source-%module_name-%module_version
%patch1 -p2
%patch2 -p1
./configure --kerneldir=%_usrsrc/linux-%kversion-%flavour

%build
. %_usrsrc/linux-%kversion-%flavour/gcc_version.inc
%make

%install
install -d -m 0755 %buildroot%module_dir
install -m 0644 x86/%module_name.ko %buildroot%module_dir/
%ifnarch k6 athlon athlon_xp k8 opteron athlon64
install -m 0644 x86/%module_name-intel.ko %buildroot%module_dir/
%endif
%ifnarch pentium2 pentium3 pentium4 nocona
install -m 0644 x86/%module_name-amd.ko %buildroot%module_dir/
%endif

%post
%post_kernel_modules %kversion-%flavour-%krelease

%postun
%postun_kernel_modules %kversion-%flavour-%krelease

%files
%dir %module_dir
%module_dir/%module_name.ko
%ifnarch k6 athlon athlon_xp k8 opteron athlon64
%module_dir/%module_name-intel.ko
%endif
%ifnarch pentium2 pentium3 pentium4 nocona
%module_dir/%module_name-amd.ko
%endif

%changelog
* Sat Dec 12 2009 Michail Yakushin <silicium@altlinux.ru> 1:2.6.30-alt2.132638.15
- Build for kernel-image-std-def-2.6.30-alt15.

* Tue Nov 24 2009 Dmitry V. Levin <ldv@altlinux.org> 1:2.6.30-alt2.132638.14
- Reverted accidental rename kernel-source-kvm -> kernel-source-qemu-kvm
  made in previous package release.
- Automated specfile cleanup.

* Thu Nov 19 2009 Anton Farygin <rider@altlinux.ru> 1:2.6.30-alt1.132638.14
- Build for kernel-image-std-def-2.6.30-alt14.

* Wed Nov 18 2009 Anton Farygin <rider@altlinux.ru> 2.6.30-alt1
- 2.6.30

* Tue Apr 21 2009 Michail Yakushin <silicium@altlinux.ru> 85-alt1
- 85

* Mon Mar 23 2009 Michail Yakushin <silicium@altlinux.ru> 84-alt2
- rebuild with new kvm build

* Tue Mar 10 2009 Michail Yakushin <silicium@altlinux.ru> 84-alt1
- 84

* Mon Jan 12 2009 Michail Yakushin <silicium@altlinux.ru> 82-alt1
- 82

* Tue Dec 23 2008 Michail Yakushin <silicium@altlinux.ru> 81-alt1
- 81

* Wed Dec 17 2008 Michail Yakushin <silicium@altlinux.ru> 80-alt1
- 80

* Mon Dec 01 2008 Led <led@altlinux.ru> 79-alt1
- fixed build for kernels <2.6.28

* Thu Nov 25 2008 Led <led@altlinux.ru> 79-alt1
- 79

* Wed Nov 12 2008 Led <led@altlinux.ru> 78-alt1
- 78

* Wed Sep 24 2008 Led <led@altlinux.ru> 75-alt1
- 75

* Tue Sep 02 2008 Led <led@altlinux.ru> 74-alt1
- 74
- added kvm-74-kernel-compat.patch

* Sun May 11 2008 Led <led@altlinux.ru> 68-alt1
- 68

* Thu Apr 17 2008 Led <led@altlinux.ru> 66-alt1
- 66

* Tue Apr 08 2008 Led <led@altlinux.ru> 65-alt1
- 65

* Sun Mar 30 2008 Led <led@altlinux.ru> 64-alt1
- 64

* Thu Mar 19 2008 Led <led@altlinux.ru> 63-alt1
- 63

* Wed Feb 27 2008 Led <led@altlinux.ru> 62-alt0
- 62

* Sat Feb 23 2008 Led <led@altlinux.ru> 61-alt0
- 61

* Sun Feb 10 2008 Led <led@altlinux.ru> 60-alt0
- initial build
